function timas_hms, time, secformat=secformat
;  converts time in seconds since midnight (or T90) to a string in the form,
;  'HH:MM:SS' or as specified by format.
;  Renamed Hydra version, ESC, 2/98.
;  Modified to put a '0' in the tens place of seconds when needed for f format,
;     ESC, 11/99.

   t= (time) mod 86400
   hour = fix(t/3600.)
   minute = (t mod 3600)/60
   if not keyword_set( secformat ) then begin
       secformat='i2.2' 
       sec= fix ( (t mod 60) + 0.5 )
   endif else begin
       sec= t mod 60.
   endelse
   if (sec lt 10. and strlowcase(strmid(secformat,0,1)) eq 'f') then begin
     ; Insert a '0' in the tens place of seconds
     nld = fix(strmid(secformat,1,1))
     secformat1 = secformat
     strput,secformat1,strtrim(nld-1,2),1
     return, string(hour,minute,'0',sec, $
        format="(i2.2,':',i2.2,':',a,"+secformat1+")")
   endif else begin
     return, string(hour,minute,sec, $
        format="(i2.2,':',i2.2,':',"+secformat+")")
   endelse
end
